/**
 * @file
 * Initialize history.back logic.
 */

(function ($, Drupal, window) {

  'use strict';

  Drupal.behaviors.navigationBlocksBackButton = {

    attach: function (context) {
      $('.js-previewReloader').once('livePreviewReload').each(function() {
        var $previewReloadButton = $(this);
        var $form = $previewReloadButton.closest('form');
        var enableReload = true;
        $form.on('formUpdated', (function(event) {
          if (!enableReload) return;
          if ($('.js-offCanvasLivePreview').length === 0) return;

          enableReload = false;
          $previewReloadButton.mousedown();
          setTimeout(() => enableReload = true, 1500);
        }));
      });
    }
  };

}(jQuery, Drupal, window));
